Bug 476755 - adding RAID-1 member fails to rebuild / corrupts array
adding RAID-1 member fails to rebuild / corrupts array
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 17:46 EST by Bill McGonigle
Modified: 2009-07-14 11:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
annotated dmesg (3.83 KB, text/plain)
2008-12-16 17:46 EST, Bill McGonigle
no flags Details

  None (edit)
Description Bill McGonigle 2008-12-16 17:46:11 EST
Created attachment 327181 [details]
annotated dmesg

Description of problem:

 There seems to be a problem when removing a RAID mirror device and re-attaching another one in its place when the replacement device gets the same device name (e.g. /dev/sdc1).  The kernel doesn't always resync the replacement mirror, which leads to rapid filesystem corruption.

Version-Release number of selected component (if applicable):

 2.6.27.5-41.fc9.i686

How reproducible:

Steps to Reproduce:
1. stop md array (optional, --fail, --remove also shows problem) and physically remove one mirror device
2. start array (--assemble --scan --auto=md) with missing mirror; array starts with missing (not needed in --fail, --remove case)
3. attach replacement array mirror device and do: mdadm --add /dev/mdX /dev/sdY1
  
Actual results:

 Array does not resync new drive.  Access to the array will quickly cause corruption.

Expected results:

 Array re-syncs.

Additional info:

 Each mirror device has a matching RAID UUID.
 The drives are attached via USB.
 If the device hasn't had any access, it's possible to --fail, --remove the non-syncing mirror device, then power cycle the drive.  Then if it's added again, the kernel will start a resync, but not on the first attachment.
 I first noticed this on Fedora 7 or 8; previous versions didn't do it.
 I'll attach an annotated dmesg which should be more clear.
Comment 1 Bill McGonigle 2008-12-16 17:47:28 EST
Oh, and there's no bitmap on this array.
Comment 2 Bug Zapper 2009-06-09 23:26:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:53:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.